/**
 * Custom smiley
 * 
 * @author Pierre Hubert
 */

export interface CustomEmojiBuilder {
	id: number,
	userID: number,
	shorcut: string,
	path: string,
}

export class CustomEmoji implements CustomEmojiBuilder {
	id: number;
	userID: number;
	shorcut: string;
	path: string;

	public constructor(info: CustomEmojiBuilder) {
		for (const key in info) {
			if (info.hasOwnProperty(key))
				this[key] = info[key];
		}
	}
}